* {
    box-sizing: border-box;
}

body {
    margin: 1em 1em 0em 1em;
}
.checkout-title {
    text-align: center;
}

h5 {
    font-size: 15px; 
    padding-top: 1em;
}

.description{
    color:grey;font-weight:500;
}

.address {
    display: flex;
    justify-content: space-between;
    margin-top: -1em;
}

.title {
    font-size: 15px;
}

.select-text {
    width: 95%;
    margin-top: 0.5em;
    font-size: 16px;
    border: none;
    border-bottom: 1px solid grey;
}

.box-icon {
    margin-left: 1em;
}

.card-expiry-date {
    display: flex;
    justify-content: space-between;
    margin: 1em 0 1em 0em;
    width: 90%;
}

.card-expiry-month {
    height: 1.3em;
    border: none;
    font-size: 16px;
    width: 32%;
    border-bottom: 1px solid grey;
    line-height: 4em;
}

.card-expiry-year {
    border: none;
    height: 1.3em;
    font-size: 16px;
    width: 32%;
    border-bottom: 1px solid grey;
    line-height: 4em;
}

.cvv {
    color: grey;
    border-bottom: 1px solid grey;
    font-size: 16px;
}

.product-price {
    display: flex;
    justify-content: space-between;
    margin: 0 1em 0 0em;
}

.total-price{
    display: flex;
    justify-content: space-between;
    margin: 1.5em 1em 7em 0em;
}
/************************************************************************/
@media screen and (max-width: 800px) {
    .cart-button {
        background-color: #172C50;
        color: white;
        width: 100%;
        height: 4em;
        font-size: 18px;
        position: fixed;
        bottom: 0;
        margin-left: -1em;
    }
    #footer {
        display: none;
    }
}

@media (min-width: 800px) {
    .bar {
        visibility: hidden;
    }
    .cart-button {
        background-color: white;
        color: black;
        border: solid black;
        text-align: center;
        font-size: 13px;
        padding: 0.5em 1.8em;
    }
    .cart-button:active {
        background-color: black;
        color: white;
    }
    #footer {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .demo {
        text-align: center;
        width: 10rem;
        height: 2rem;
        background-color: black;
        color: white;
        padding-top: 0.5em;
    }
    .main {
        display: flex;
        justify-content: space-around;
    }
    .address-section {
        width: 35%;
    }
    .payment-section{
        width: 35%;
    }
}

/*******************************************************************************/

input:focus, input:valid {
    border-color: black;
}

#email, #phone-number, #address, #city, #state, #postal-code, #cardholder-name, #card-number  {
    border: none;
    outline: none;
    border-bottom: 1px solid grey;
    width: 100%;
    font-size: 1rem;
    font-weight: 500;
    height: 3rem;

}

.information {
    position: relative;
    margin-bottom: 45px;
}

label {
    color: gray;
    font-size: 1rem;
    font-weight: normal;
    position: absolute;
    left: 5px;
    top: 10px;
    transition: 0.2s ease all;
}
input:focus~label, input:valid~label {
    top: -12px;
    font-size: 0.8rem;
    color: rgb(32, 32, 32);
}


.bottom-animation {
    position: relative;
    display: block;
}

.bottom-animation:before, .bottom-animation:after {
    content: '';
    height: 1.5px;
    width: 0;
    bottom: 0;
    top: -2px;
    position: absolute;
    background: rgb(32, 32, 32);
    transition: 0.2s ease all;
}
.bottom-animation:before {
    left: 50%;
}

.bottom-animation:after {
    right: 50%;
}

input:focus~.bottom-animation:before, input:focus~.bottom-animation:after {
    width: 50%;
}
